# Generated by Django 4.2.13 on 2024-06-14 17:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('frontend', '0004_remove_order_billing_address_order_apartment_address_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='order',
            name='apartment_address',
        ),
        migrations.RemoveField(
            model_name='order',
            name='city',
        ),
        migrations.RemoveField(
            model_name='order',
            name='country',
        ),
        migrations.RemoveField(
            model_name='order',
            name='email',
        ),
        migrations.RemoveField(
            model_name='order',
            name='phone_number',
        ),
        migrations.RemoveField(
            model_name='order',
            name='state',
        ),
        migrations.RemoveField(
            model_name='order',
            name='street_address',
        ),
        migrations.RemoveField(
            model_name='order',
            name='zip',
        ),
        migrations.AddField(
            model_name='order',
            name='billing_address',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='frontend.billingaddress'),
        ),
        migrations.AlterField(
            model_name='item',
            name='category',
            field=models.CharField(choices=[('P', 'Pateuri'), ('Z', 'Zacusca'), ('M', 'Muraturi'), ('T', 'Tocana'), ('D', 'Dulceata')], max_length=5),
        ),
    ]
